<?php declare(strict_types=1);

namespace App\Http\Controllers;

use App\Http\Requests\IndexRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\View\View;

final class IndexController extends Controller
{
    public function index(): View
    {
        return \view('welcome');
    }

    public function post(IndexRequest $request): RedirectResponse
    {
        return redirect()->route('home')->withSuccess('Ok!');
    }
}
